local Star = require "Star"

local sun, earth, moon

function love.load()
  sun   = Star:new(50,0,   0,   {255,255,0},   nil)
  earth = Star:new(20,150, 1,   {0,0,255},     sun)
  moon  = Star:new(10,40,  4,   {255,255,255}, earth)
end

function love.update(dt)
  sun:update(dt)
  earth:update(dt)
  moon:update(dt)
end

function love.draw()
  sun:draw()
  earth:draw()
  moon:draw()
end
